com.brightcove.cast.model

## Class BrightcoveMessage

- java.lang.Object
- - com.brightcove.cast.model.BrightcoveMessage

-     public final class BrightcoveMessage
      extends java.lang.Object

  The BrightcoveMessage is an immutable message used for sending information to the Brightcove app receiver through a valid `CastSession`, using the `BRIGHTCOVE_CAST_CHANNEL` channel. All messages are sent as the JSON representation of this object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BRIGHTCOVE_CAST_CHANNEL`
    `static java.lang.String` | `DATA_TYPE_SPLASH_SCREEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrightcoveMessage(java.lang.String type, java.lang.Object data)` Instantiates a new Brightcove message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getData()` Gets data.
    `java.lang.String` | `getType()` Gets type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BRIGHTCOVE_CAST_CHANNEL

          public static final java.lang.String BRIGHTCOVE_CAST_CHANNEL

      See Also:
        Constant Field Values

    - #### DATA_TYPE_SPLASH_SCREEN

          public static final java.lang.String DATA_TYPE_SPLASH_SCREEN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BrightcoveMessage

          public BrightcoveMessage(java.lang.String type,
                                   java.lang.Object data)

      Instantiates a new Brightcove message.
      Parameters:
        `type` - the type
        `data` - the data

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Gets type.
      Returns:
        the type

    - #### getData

          public java.lang.Object getData()

      Gets data.
      Returns:
        the data